PDA

Visualizza la versione completa : [Mandrake 10] - Non posso aggiornare


edark
16-06-2005, 16:51
Salve a tutti!
Sono in un bel casino...da qualche mese utilizzo linux ed ogni volta che volevo aggiornare il sistema da urpmi facevo urpmi --auto-select e mi venivano installati tutti gli aggiornamenti...
ora l'ultimo aggiornamento mi ha incasinato tutto...
L'interfaccia grafica non funziona pi all'avvio certe volte mi chiede il login, lo inserisco e una volta dato startx mi da errore..niente l'interfaccia grafica (KDE) andata...ho dovuto formattare e installare nuovamente linux..ora funziona, st utilizzando linux ma ho MOLTA paura ad aggiornare, perch la seconda volta che installo tutto da capo e dopo l'aggiornamente lo stesso errore...
Che devo fare??
GRAZIE 1000

francofait
16-06-2005, 16:58
Originariamente inviato da edark
Salve a tutti!
Sono in un bel casino...da qualche mese utilizzo linux ed ogni volta che volevo aggiornare il sistema da urpmi facevo urpmi --auto-select e mi venivano installati tutti gli aggiornamenti...
ora l'ultimo aggiornamento mi ha incasinato tutto...
L'interfaccia grafica non funziona pi all'avvio certe volte mi chiede il login, lo inserisco e una volta dato startx mi da errore..niente l'interfaccia grafica (KDE) andata...ho dovuto formattare e installare nuovamente linux..ora funziona, st utilizzando linux ma ho MOLTA paura ad aggiornare, perch la seconda volta che installo tutto da capo e dopo l'aggiornamente lo stesso errore...
Che devo fare??
GRAZIE 1000

Se hai inserito le repositri cooker evita l'upgrade a quel modo , limitati ad usarle x fare un aggiornamento selettivo via mandrake control center installa nuovo.

edark
16-06-2005, 17:02
si ma alla fine l'ho fatto dal control center, perch facendo da urpmi mi chiedeva il 4 cd che non ho..ho fatto tutto da mandrake control center...
help
thx

andy caps
16-06-2005, 20:48
la cooker lo fa a volte questo scherzetto

bisogna conoscere un po i pacchetti :bh:

a volte sbagliano una dipendenza importante e se dai ok poi chiaramente non va piu niente
se vedi qualche problema con pacchetti importanti l'aggiornamento non va fatto o rimandato al giono dopo
usa le repository della 2005 e non vuoi avere problemi la cooker un sistema instabile
la distro che stanno costruendo e ogni giorno vengono inseriti centiaia di pacchetti aggiornati
l'errore ci sta sempre

quel problema puo'essere dipeso anche da un server down
aggiornando meta pacchetti puo succedere
lo ha dato anche a me tempo fa il solito errore ma bastato creare un nuovo user e x partiva perche il problema erano i files di configurazione nella home

edark
16-06-2005, 23:52
Originariamente inviato da andy caps
la cooker lo fa a volte questo scherzetto

bisogna conoscere un po i pacchetti :bh:

a volte sbagliano una dipendenza importante e se dai ok poi chiaramente non va piu niente
se vedi qualche problema con pacchetti importanti l'aggiornamento non va fatto o rimandato al giono dopo
usa le repository della 2005 e non vuoi avere problemi la cooker un sistema instabile
la distro che stanno costruendo e ogni giorno vengono inseriti centiaia di pacchetti aggiornati
l'errore ci sta sempre

quel problema puo'essere dipeso anche da un server down
aggiornando meta pacchetti puo succedere
lo ha dato anche a me tempo fa il solito errore ma bastato creare un nuovo user e x partiva perche il problema erano i files di configurazione nella home

COOKER?
Hai creato un altro user tutto funzionava?? :nonlodire
Perch per fare l'aggiornamento del sistema ogni user deve fare urpmi --auto-select?
NOn sono ancora molto ferrato
:fagiano:
grazie per il vostro aiuto

edark
17-06-2005, 00:09
UP? :dh:

andy caps
17-06-2005, 00:15
urpmi --auto-select lo deve dare solo root
creando un nuovo user il sistema ha creato i nuovi file di configurazione in /home/user e kde partito
a volte questo problema si risolve cancellando la dir nascosta .kde nella home

rm -rf .kde

come ti ho detto l'aggiornamento del sistema il 99.9 delle volte va bene specie se effettuato regolarmente tutti i giorni o quasi


riprova :bh:

edark
17-06-2005, 00:29
puoi per favore darmi i migliori server da cui scaricare gli aggiornamenti?
Boh avr scelto i server sbagliati!! :confused:

edark
17-06-2005, 12:15
Originariamente inviato da andy caps
urpmi --auto-select lo deve dare solo root
creando un nuovo user il sistema ha creato i nuovi file di configurazione in /home/user e kde partito
a volte questo problema si risolve cancellando la dir nascosta .kde nella home

rm -rf .kde

come ti ho detto l'aggiornamento del sistema il 99.9 delle volte va bene specie se effettuato regolarmente tutti i giorni o quasi


riprova :bh:

Ma una cosa non ho capito, se l'aggiornamento mi rovina kde, quando creo un nuovo utente linux mi copia(come ha detto tu) i nuovi file di configurazione nella home del nuovo utente, e questo come fa a risolvere il problema?SE i file kde sono rovinati, linux copia quelli aggiornati/rovinati nella nuova home dell'utente, e quindi?
COme risolvo?
Poi di solito quando faccio un aggiornamento non controlla mai i pacchetti, scarico tutti gli aggiornamenti possibili, quasi una volta a giorno, e faccio sempre urpmi.update -a per aggiornare le fonti e poi come ho detto urpmi --auto-select
aiutatemi vi prego!
grazie 1000

andy caps
17-06-2005, 15:18
per la cooker metti proxad dalla lista
quello in genere piu aggiornato

quando crei un nuovo utente all'avvio di kde i file se li ricrea
i files non sono rovinati sono solo poco compatibili con i nuovi poi sono cose che si verificano raramente :bh:

sono errorini degli svilupptori spesso che magari vengono risolti all'aggiornamento successivo

loggati come root e dai startx da root per vedere se risolve quando succede o comunque ritnta un aggiornamento

Loading